From: Sean Whitton <spwhitton@spwhitton.name>
Date: Sat, 7 May 2016 15:24:06 -0700
Subject: [PATCH] strip comments when reading debian/control

Avoids a parse failure if a control file contains comments.
---
 debian/changelog      | 5 +++++
 lib/Debian/Control.pm | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index 8914cbb..af3370b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,6 @@
 dh-make-perl (0.91) UNRELEASED; urgency=medium
 
+  [ gregor herrmann ]
   * debian/source/format: switch to '3.0 (native)'.
     Cf. the thread at https://lists.debian.org/debian-perl/2016/03/msg00038.html
     for the history and pros/cons of having a non-native vs. a native package.
@@ -20,6 +21,10 @@ dh-make-perl (0.91) UNRELEASED; urgency=medium
     local::lib environment temporarily.
     Thanks to Jacob L Anawalt for the bug report. (Closes: #820395)
 
+  [ Sean Whitton ]
+  * Strip comments when reading control files.  (Closes: #XXXXXX)
+    Otherwise, control files containing comments cause a parse failure.
+
  -- gregor herrmann <gregoa@debian.org>  Wed, 06 Apr 2016 17:35:59 +0200
 
 dh-make-perl (0.90-1) unstable; urgency=medium
diff --git a/lib/Debian/Control.pm b/lib/Debian/Control.pm
index c9e1eb8..4244766 100644
--- a/lib/Debian/Control.pm
+++ b/lib/Debian/Control.pm
@@ -115,7 +115,7 @@ sub read {
     }
 
     my $stanzas = $self->_parser->$parser_method( $file,
-        { useTieIxHash => 1, verbMultiLine => 1 } );
+        { useTieIxHash => 1, verbMultiLine => 1, stripComments => 1 } );
 
     for (@$stanzas) {
         if ( $_->{Source} ) {
-- 
2.8.1

